/*
 * Copyright (c) 2011, 2013, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * $Id: NameBean.java 69737 2013-01-31 16:09:00Z dougd $
 */

package com.sun.ts.tests.jsf.spec.templating.common;

import java.io.Serializable;
import javax.faces.component.UIOutput;

public class NameBean implements Serializable {

	private UIOutput name;

	public void setName(UIOutput n) {
		this.name = n;
	}

	public UIOutput getName() {
		return name;
	}

	public NameBean() {
		this.initialSetup();
	}

	// ----------------------------------------------- private methods

	private final void initialSetup() {
		UIOutput myComp = new UIOutput();
		myComp.setId("name");
		myComp.setValue("Vidtily Chernobyl");

		this.setName(myComp);
	}
}
